function writeclusters(varargin)
% WRITECLUSTERS - write clusters (matrix colums) to file
% writeclusters(p, idxnames, file, clnames)
%   p    - sparse matrix, colums are clusters, values are membership 
%          probabilities
%   idx  - cell array with name of object in each row of p
%   file - filename for output
%   clnums - cluster names (optional)

  p = varargin{1};
  idx = varargin{2};
  file = varargin{3};
  if length(varargin)==4
      clnums = varargin{4};
  else
      clnums = 1:size(p,2);
  end
  fid = fopen(file,'w');
  for k=1:size(p,2)
    x = find(p(:,k));
    if length(x)>1
      for l=1:length(x)
        fprintf(fid,'%s\t%d\n', idx{x(l)}, clnums(k));
      end
    end
  end
  fclose(fid);
